Skip to main content
PATCH
/
v1
/
properties
/
{propertyId}
/
values
/
{propertyValueId}
/
descriptions
/
{languageIso}
Update Property Value Description
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v1/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "Name": "<string>",
  "Description": "<string>",
  "SeoPath": "<string>",
  "SeoMetaDescription": "<string>",
  "SeoTitleTag": "<string>",
  "SeoMetaKeywords": "<string>"
}
'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

languageIso
string
required

The iso code of the language that the descriptions belong to.

propertyId
integer<int32>
required

The id of the property.

propertyValueId
integer<int32>
required

The id of the property value.

Body

application/json

The property value description to update.

Model Class: UpdatePropertyValueDescription

Name
string

The property value name in the given language.

Description
string

The property value description in the given language.

SeoPath
string

The SEO path in the given language.

SeoMetaDescription
string

The SEO metadescription in the given language.

SeoTitleTag
string

The title tag (SEO) in the given language.

SeoMetaKeywords
string

The meta keywords in the given language.

Response